@media print {

}

/* Bootstrap xs, md, lg
================================ */
@media (min-width: 768px) {
    .bo-additional-nav .navbar-right {
        margin-right: 0;
    }

    .bo-panel-table {
        display: table;
        width: 100%;
    }
    .bo-panel-table-cell-4 {
        display: table-cell;
        width: 33.33%;
    }
    .bo-panel-table-cell-8 {
        display: table-cell;
        width: 66.66%;
    }
    .bo-panel-table-cell-12 {
        display: table-cell;
        width: 100%;
    }
    .bo-panel-table .bo-totals > span {
        float: none!important;
        display: block;
    }
}

/* Bootstrap xs
================================ */
@media (max-width: 767px) {
    .bo-nav-tabs .tab-name {
        display: none;
    }
    .bo-nav-tabs.nav-stacked > li > a > .tab-name {
        display: inline-block;
    }

    .bo-navbar .navbar-header {
        float: left;
    }

    .bo-navbar .bo-additional-nav {
        text-align: right;
    }

    .navbar-nav {
        margin: 0 -15px;
    }

    .bo-additional-nav .nav > li > a > span,
    .bo-additional-nav .nav > li > a > .bo-double-row {
        display: none;
    }
    .bo-additional-nav .nav > li {
        display: inline-block;
    }
    .bo-additional-nav .navbar-nav .open .dropdown-menu {
        position: absolute;
        float: left;
        background-color: #fff;
        border: 5px solid #fff;
        -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);;
        box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
    }
    .bo-additional-nav .navbar-nav .open .dropdown-menu > li > a:hover,
    .bo-additional-nav .navbar-nav .open .dropdown-menu > li > a:focus {
        color: #5e7287;
        background-color: #edf0f4;
    }
    .bo-additional-nav .navbar-nav .open .dropdown-menu > li.bo-selected > a,
    .bo-additional-nav .navbar-nav .open .dropdown-menu > li.bo-selected > a:hover {
        color: #fff;
        background-color: #5e7287;
    }
    .bo-additional-nav .dropdown-menu {
        right: 0;
        left: auto;
    }
    .navbar-nav .open .dropdown-menu .dropdown-header,
    .navbar-nav .open .dropdown-menu > li > a {
        padding: 2px 8px;
    }

    .bo-sidebar {
        float: left;
    }
    .bo-sidebar .affix {
        position: static;
        float: none;
        max-width: 100%;
        margin-right: 0;
    }
}

/* Bootstrap sm
================================ */
@media (min-width: 768px) and (max-width: 991px) {
    .bo-sidebar .bo-panel-table > .bo-panel-table-cell-4 {
        display: table-cell;
        width: 33.33%;
    }
    .bo-sidebar .bo-panel-table > .bo-panel-table-cell-8 {
        display: table-cell;
        width: 66.66%;
    }
    .bo-sidebar .bo-panel-table > .bo-panel-table-cell-12 {
        display: table-cell;
        width: 100%;
    }
    .bo-sidebar .affix {
        position: static;
        float: right;
        margin-right: 0;
    }
}

/* Custom ranges
================================ */
@media (min-width: 768px) and (max-width: 1199px) {
    .bo-navbar .nav > li > a > span,
    .bo-navbar .nav > li > a > .bo-double-row {
        display: none;
    }
    .bo-nav-tabs-crowded .tab-name {
        display: none;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1440px;
    }

    .bo-additional-nav .dropdown-header {
        display: none;
    }
}

@media (max-width: 991px) {
    .bo-sidebar {
        margin-top: 18px;
    }
    .bo-sidenav {
        width: 100%;
        display: none;
        position: fixed;
        z-index: 2000;
        top: 0;
        right: 0;
        margin-top: 18px;
    }
    .bo-sidenav-dismiss {
        display: inline-block;
    }
    .bo-sidenav-open {
        display: block;
        position: fixed;
        bottom: 0;
        right: 0;
        margin-right: 15px;
        margin-bottom: 15px;
        z-index: 1998;
    }
    .bo-sidenav-overlay {
        position: fixed;
        width: 100%;
        height: 100%;
        z-index: 1999;
        top: 0;
        right: 0;
        background-color: #000;
        opacity: 0.6;
    }
}

/* Mobile
================================ */
@media (max-width: 425px) {
    .bo-nav-tabs .bo-badge {
        float: right;
    }
    .bo-nav-tabs-addon {
        margin-left: 8px;
    }
    .bo-nav-tabs > li {
        float: none;
    }
    .bo-nav-tabs .tab-name {
        display: inline-block;
    }

    .bo-additional-nav .dropdown-menu.bo-dropdown-wide-3 {
        right: -324%;
    }
    .bo-additional-nav .dropdown-menu.bo-dropdown-wide-2 {
        right: -216%;
    }
    .bo-additional-nav .dropdown-menu.bo-dropdown-wide-1 {
        right: -108%;
    }
}
